import request from '@/utils/request'

// 查询inspection列表
export function listInfo(query) {
  return request({
    url: '/inspection/info/list',
    method: 'get',
    params: query
  })
}

// 查询inspection详细
export function getInfo(id) {
  return request({
    url: '/inspection/info/' + id,
    method: 'get'
  })
}

// 新增inspection
export function addInfo(data) {
  return request({
    url: '/inspection/info',
    method: 'post',
    data: data
  })
}

// 修改inspection
export function updateInfo(data) {
  return request({
    url: '/inspection/info',
    method: 'put',
    data: data
  })
}

// 删除inspection
export function delInfo(id) {
  return request({
    url: '/inspection/info/' + id,
    method: 'delete'
  })
}
